# deploymentDescriptor

open fun deploymentDescriptor(@DelegatesTo(value = DeploymentDescriptor::class, strategy = Closure.DELEGATE_FIRST) configureClosure: Closure): Ear

Configures the deployment descriptor for this EAR archive.

The given closure is executed to configure the deployment descriptor. The DeploymentDescriptor is passed to the closure as its delegate.

#### Return

This.

#### Parameters

configureClosure

The closure.

open fun deploymentDescriptor(configureAction: Action<in DeploymentDescriptor>): Ear

Configures the deployment descriptor for this EAR archive.

The given action is executed to configure the deployment descriptor.

#### Return

This.

#### Since

3.5

#### Parameters

configureAction

The action.

@get:Internal
open var deploymentDescriptor: DeploymentDescriptor